View Issue Details

IDProjectCategoryLast Update
0019078AI War 2[All Projects] Balance IssueJun 5, 2017 1:03 pm
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.119 Ship Batch 1 of 7: 24 Ships! 
Fixed in Version0.400 Usability and the GUI Pipeline 
Summary0019078: Tractor Turrets are quite strong
DescriptionTractor turrets seem really powerful, especially early. It feels like a single tractor turret can just hold my entire fleet ball, and I have trouble figuring out how to get my ships to target it directly. So far it feels like only my Ark is capable of defeating one. I know Balance isn't really a concern yet, but it's a bit annoying, especially on the first planet. In a Real Game the answer might be "build sniper turrets", but given that I'm having trouble targeting things, that doesn't work now.

I can get a picture of all of my ships being held by a single tractor after work. My request is less "Lets balance this perfectly right now" and more "Lets make it weaker (or more targetable) for testing purposes, and worry about proper balance later."
TagsNo tags attached.

Activities

keith.lamothe

Apr 25, 2017 1:51 pm

administrator   ~0046079

Targeting should just be a matter of selecting your ships and right clicking the tractor turret "squad". What happens if you do that? Do they just move to the clicked point?

And yes, they're quite strong, even after a lot of toning down during testing. If you have the time to try different values for ability_multiplier in this line:

<item name="Normal" ability_multiplier="30" range="Short" dps_multiplier="0.35" />

in GameData/Configuration/Balance_TractorType/KDL_VanillaEntries.xml

And let me know which values feel more correct, that would be helpful.

It's also possible to mod that in a way that doesn't touch the vanilla config files (and thus not get overwritten by updates), but this is the simplest way for just experimenting.

BadgerBadger

May 24, 2017 10:43 am

reporter   ~0046198

So right clicking on the tractor turret does allow me to blow it up. I think this is less of a problem now. However, I do note that the tractor turret experiences no apparent decrease in power as it takes damage. Is it intended that turrets/squads should have diminished strength as they take damage?

keith.lamothe

Jun 3, 2017 10:13 pm

administrator   ~0046258

For 0.302:

* Tractor turret tractor-multiplier from 30 => 3.35, which is slightly more than enough for one squad of MkI tractors to indefinitely hold one cap (10 squads) of MkI fighters. Previously it could hold... more. A lot more.
** Tractor effectiveness is also now reduced by the tractor turret "squad" taking losses.

Thanks :)

BadgerBadger

Jun 5, 2017 1:03 pm

reporter   ~0046259

You mean I'm not going to have 1000 ships held by tractor beams anymore?!

Issue History

Date Modified Username Field Change
Apr 25, 2017 11:14 am BadgerBadger New Issue
Apr 25, 2017 1:51 pm keith.lamothe Note Added: 0046079
Apr 25, 2017 1:51 pm keith.lamothe Assigned To => keith.lamothe
Apr 25, 2017 1:51 pm keith.lamothe Status new => assigned
May 24, 2017 10:43 am BadgerBadger Note Added: 0046198
Jun 3, 2017 10:13 pm keith.lamothe Note Added: 0046258
Jun 3, 2017 10:13 pm keith.lamothe Status assigned => resolved
Jun 3, 2017 10:13 pm keith.lamothe Fixed in Version => 0.400 Usability and the GUI Pipeline
Jun 3, 2017 10:13 pm keith.lamothe Resolution open => fixed
Jun 5, 2017 1:03 pm BadgerBadger Note Added: 0046259